## com.bbn.openmap.examples.beanbox
Class FighterBeanInfo

    java.lang.Object
      |
      +--java.beans.SimpleBeanInfo
            |
            +--com.bbn.openmap.examples.beanbox.SimpleBeanObjectBeanInfo
                  |
                  +--com.bbn.openmap.examples.beanbox.FighterBeanInfo

All Implemented Interfaces:
  java.beans.BeanInfo

public class FighterBeanInfo
extends SimpleBeanObjectBeanInfo

A BeanInfo for the `Fighter` bean.

Field Summary

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`FighterBeanInfo()`

Method Summary
`java.awt.Image` `getIcon(int iconKind)`
`java.beans.PropertyDescriptor[]` `getPropertyDescriptors()`

Methods inherited from class java.beans.SimpleBeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getMethodDescriptors, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FighterBeanInfo

    public FighterBeanInfo()

Method Detail

### getPropertyDescriptors

    public java.beans.PropertyDescriptor[] getPropertyDescriptors()

  Specified by:
    `getPropertyDescriptors` in interface `java.beans.BeanInfo`
  Overrides:
    `getPropertyDescriptors` in class `SimpleBeanObjectBeanInfo`

### getIcon

    public java.awt.Image getIcon(int iconKind)

  Specified by:
    `getIcon` in interface `java.beans.BeanInfo`
  Overrides:
    `getIcon` in class `SimpleBeanObjectBeanInfo`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details